/***************** app specific styles ****************/

#occupation-dropdown {
  min-width: 420px;
}

.tellu-graph {
  min-width: 300px;
  max-width: 600px;
  padding-bottom: 40px;
  padding-top: 20px;
}

.tellu-dropdown {
  min-width: 250px;
}

#subtitle_row {
  padding-bottom: 30px;
}

#emission-graph-title,
#emission2-graph-title {
  height: 50px;
  display: table-cell;
}

#emission2-graph-text {
  visibility: hidden;
}

/****************************************************/

/******************** Common Tellu styles *****************/

/* loading spinner */
.spinner .fa-spinner {
  font-size: 2.1875rem;
}

.spinner {
  display: flex;
  min-height: 15.625rem;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.spinner .loading-text {
  line-height: 1.29;
  font-size: 1.5rem;
  margin-top: 1.25rem;
}

/**** bottom banner ****/
#banner-logo {
  /*height: 27px;*/
  width: 150px;
  margin-top: 5px;
}

#tellu-link-pre a {
  /* margin: 15px; */
  margin-left: 10px; /*0.6875rem;*/
  font-size: 1rem; /*.75rem*/
  letter-spacing: 2.7px; /*2.7px;*/
  line-height: 1.25;
  font-family: Source Sans Pro, sans-serif;
  font-weight: 700;
  color: #4d4d4c;
  text-align: right;
  text-transform: uppercase;
}

#tellu-link-pre span {
  display: inline-block;
}

#bottom-banner a {
  text-decoration: none;
}

#bottom-banner {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgb(247, 247, 247);
  padding-top: 15px;
  padding-bottom: 15px;
  /*height: 60px*/
}
#bottom-banner > .col {
  justify-content: center;
  display: flex;
  text-align: center;
  align-items: center;
  min-width: 300px;
}

#ttl-col {
  border-left: 1px solid rgba(134, 135, 135, 0.38);
}
/*******************************/
/********** Tellu-like button *************/

.tellu-button {
  font-size: 1rem;
  font-family: "Source Sans Pro", sans-serif;
  line-height: 1.23em;
  font-weight: 600;
  display: inline-flex;
  align-items: center;
  justify-content: space-between;
  border-style: initial;
  height: 2.5rem;
  padding: 0 0.625rem;
  border-radius: 2px;
  cursor: pointer;
  white-space: nowrap;
  margin-right: 0.625rem;
  margin-bottom: 0.625rem;
  box-shadow: inset 0 0 0 2px #003c78;
  background-color: #fff;
  color: #003c78;
  text-decoration: none;
}

.tellu-button:hover {
  color: #6090c0;
  box-shadow: inset 0 0 0 2px #6090c0;
}

.fa {
  cursor: pointer;
  white-space: nowrap;
  -webkit-font-smoothing: antialiased;
  display: inline-block;
  font-style: normal;
  font-variant: normal;
  text-rendering: auto;
  line-height: 1;
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  font-size: 1.25rem;
  margin-right: 5px;
}

.far {
  font-family: "Font Awesome 5 Free";
  font-weight: 400;
  font-size: 1.25rem;
  margin-left: 1.1875rem;
}

/********** Dashboard framing as Tellu fragment ***********/
.dashboard-modal {
  font-size: 1em;
  line-height: 1.4;
  font-family: "Source Sans Pro", sans-serif;
  font-weight: 400;
  color: #101631;
}

.dashboard-toprow {
  padding: 0;
  margin: 0;
  box-sizing: inherit;
  display: flex;
  justify-content: space-between;
}

.dashboard-title-container {
  padding: 0;
  margin: 0;
  box-sizing: inherit;
  margin-top: 0.5rem;
}

.dashboard-title {
  text-transform: uppercase;
  color: #2d3043;
}

.buttons {
  padding: 0;
  margin: 0;
  box-sizing: inherit;
  text-align: right;
  margin-bottom: 2.1875rem;
}

.dashboard-charts-container {
  padding: 0;
  margin: 0;
  display: flex;
  max-width: unset;
}

/*************************************************/

.tellu-input-single {
  padding: 0;
  margin: 0;
  box-sizing: inherit;
  margin-bottom: 1.25rem;
  max-width: 400px;
  margin-right: 20px;
  /*width: 400px;/*100%;*/
}

h3 {
  display: inline;
  font-size: 20px;
  line-height: 1.23em;
  color: #000;
  font-family: "Source Sans Pro", sans-serif;
  font-weight: 700;
}

/********** Tellu-like dropdown **********/
/*.dash-dropdown {
 max-width: 380px;

}*/

.Select {
  font-size: 1em;
  line-height: 1.25;
  font-family: Source Sans Pro, sans-serif;
  font-weight: 400;
  color: #101631;
  padding: 0;
  margin: 0;
  touch-action: manipulation;
  display: block;
  position: relative;
  width: 100%;
  text-align: left;
  border: 2px solid #003c78;
  border-radius: 0;
  box-sizing: border-box;
  min-height: inherit;
  height: 44px;
}

/* multiselect */
.Select-control {
  border: none;
}

/* multiselect_tags */
.Select-value {
  min-height: 40px;
  display: block;
  padding: 8px 40px 0 8px;
  background: #fff;
  font-size: 14px;
}

/*multiselect__single*/
.Select-value-label {
  text-align: left;
  margin: 0;
  font-family: inherit;
  font-size: 16px;
  touch-action: manipulation;
  position: relative;
  display: inline-block;
  min-height: 20px;
  border: none;
  border-radius: 5px;
  background: #fff;
  /*padding: 0 0 0 5px;*/
  width: 100%;
  transition: border 0.1s ease;
  box-sizing: border-box;
  vertical-align: top;
  padding-left: 5px;
  /*margin-bottom: 8px;*/
  color: #101631;
  font-weight: 600;
  line-height: 1.25;
}

/* set the color of the highlighted option (hover) */
.VirtualizedSelectFocusedOption {
  background-color: #003c78;
  color: white;
}
.tellu-input-single .is-focused:not(.is-open) > .Select-control {
  box-shadow: none;
}
.tellu-input-single .Select-control:hover {
  box-shadow: none;
}

.tellu-dropdown.is-focused {
  border-width: 2px;
}

body {
  font-family: "Source Sans Pro", sans-serif;
  font-weight: 400;
  color: #101631;
  height: 100%;
  width: 100%;
  overflow-x: hidden;
  background-color: #fff;
  background-repeat: no-repeat;
  background-size: 100%;
}

.dropdown-title {
  padding: 0;
  margin: 0;
  box-sizing: inherit;
  font-family: Source Sans Pro, sans-serif;
  cursor: pointer;
  display: flex;
  align-items: center;
  font-size: 0.9375rem;
  margin-bottom: 10px;
  font-weight: 600;
  line-height: 1.27;
  color: #003c78;
}

/****************************************************/

/********** Tellu-like radioitems ***********************/
.tellu-radioitems label {
  color: #101631;
  padding: 0;
  margin: 0;
  box-sizing: inherit;
  font-size: 0.875rem;
  cursor: pointer;
  display: flex;
  height: 100%;
  margin-top: 0.375rem;
  margin-left: 0.5rem;
  padding-left: 0.1875rem;
}

.tellu-radioitems {
  font-size: 1em;
  line-height: 1.4;
  font-weight: 400;
  color: #101631;
  padding: 0;
  margin: 0;
  box-sizing: inherit;
  margin-bottom: 1.25rem;
  display: flex;
  width: 100%;
  flex-direction: row;
  flex-wrap: wrap;
  margin-top: -0.375rem;
  margin-left: -0.5rem;
}

.tellu-radioitems label {
  height: 50%;
}

[type="radio"]:checked,
[type="radio"]:not(:checked) {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  position: relative;
  padding-left: 0px;
  cursor: pointer;
  line-height: 20px;
  display: inline-block;
  margin-right: 20px;
}
/*}*/

[type="radio"]:checked::before,
[type="radio"]:not(:checked)::before {
  content: "";
  position: absolute;
  left: -3px;
  top: -3px;
  width: 18px;
  height: 18px;
  border: 2px solid #003c78;
  border-radius: 100%;
  background: #fff;
}
/*input[type="radio"] {
    -moz-appearance:initial; /* Hack for Firefox Browsers */
/*}*/

[type="radio"]:checked::after,
[type="radio"]:not(:checked)::after {
  content: "";
  width: 8px;
  height: 8px;
  background: #003c78;
  position: absolute;
  top: 2px;
  left: 2px;
  border-radius: 100%;
  -webkit-transition: all 0.2s ease;
  transition: all 0.2s ease;
}
[type="radio"]:not(:checked)::after {
  opacity: 0;
  -webkit-transform: scale(0);
  transform: scale(0);
}
[type="radio"]:checked::after {
  opacity: 1;
  -webkit-transform: scale(1);
  transform: scale(1);
}
/********************************************/
